The latest update for Xtier on OES Linux can break xtier if you like me
are unlucky enough, or rather it breaks novell-xregd wich is a part of
xtier. The error results in novell-xregd not starting even if the init
scripts says its running. Netstorage wont work without novell-xregd

To check if your netstorage problem is similar to mine do:

ps -a | grep reg

You should see a number of novell-xregd processes. If not try also
/etc/init.d/novell-xregd status.

The solution if you cant get novell-xregd running is to revert back to the
older version on the OES SP2 ISO. I reverted both xtier and netstorage to
the original OES SP2 versions and it worked again.

The version of the updates that made xtier/netstorage go bust in my
particular situation was theese:


If you have this problem you can uninstall theese packages install the
older ones from the OES SP2 disc. After you have installed the older
packages you need to restart the services.

First we restart xtier.

/etc/init.d/novell-xregd stop
/etc/init.d/novell-xsrvd stop
/etc/init.d/novel-xregd start
/etc/init.d/novell-xsrvd start

Then we restart the services using xtier.

/etc/init.d/apache2 stop
/etc/init.d/tomcat stop
/etc/init.d/apache2 start
/etc/init.d/tomcat start

If your problem was like mine Netstorage should work now.

Just wrote this to perhaps save someone else the tidious work i did before
i found the problem. Hopefully im the only one who have experienced this.